Subject: Offline Message from Earlene bedsole: I filled the form out and customer serv
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 05 Jun 2022 00:18:33 -0000

From: Earlene bedsole <[email-masked]>
Phone: 4023172072
Location: Fremont, United States
URL: https://swagtron.com/swagtron-return-rma-form/
Department: SwagTron

I filled the form out and customer service contacted me about a receipt I didn’t keep the recipes the only thing I could do is show you a copy of my bank statement showing the transaction to dunhams my daughter spent her hard earned pay check on this and it didn’t last a week. It will not hold a charge. Can we please send it in for a repair?

----
Zopim
https://www.zopim.com